package com.tofly.ghrq_route.module.uploadPhoto.domain;

import com.tofly.ghrq_route.module.uploadFile.domain.UploadFileBean;

import org.greenrobot.greendao.annotation.Transient;

import java.io.Serializable;
import java.util.List;

@SuppressWarnings("serial")
public class ReportedPhotoBean implements Serializable {

    /**
     * equid : null
     * deptName : 新增测试
     * address : null
     * flag : 0
     * lng : 103.95889293018904
     * description : 测试
     * delFlag : 1
     * deviceName : null
     * actualTime : null
     * uploadUserid : 73
     * companyid : 12
     * createTime : 2020-11-06 17:11:11
     * flagName : GPS获取
     * uploadUserName : 缪0903
     * id : 31
     * pictypeid : 1
     * lat : 30.673663817559934
     * pictypeName : 巡检照片
     */

    public static final String REPORTED_PHOTO_BEAN_KEY = "reported_photo_bean";

    private String id;
    private String equid;
    private String address;
    private String flag;
    private Double lng;
    private Double lat;
    private String description;
    private String delFlag;
    private String deviceName;
    private String actualTime;
    private String uploadUserid;
    private String uploadUserName;
    private String companyid;
    private String deptName;
    private String createTime;
    private String flagName;
    private String pictypeid;
    private String pictypeName;
    @Transient
    private List<UploadFileBean> files;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEquid() {
        return equid;
    }

    public void setEquid(String equid) {
        this.equid = equid;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public Double getLng() {
        return lng;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getActualTime() {
        return actualTime;
    }

    public void setActualTime(String actualTime) {
        this.actualTime = actualTime;
    }

    public String getUploadUserid() {
        return uploadUserid;
    }

    public void setUploadUserid(String uploadUserid) {
        this.uploadUserid = uploadUserid;
    }

    public String getUploadUserName() {
        return uploadUserName;
    }

    public void setUploadUserName(String uploadUserName) {
        this.uploadUserName = uploadUserName;
    }

    public String getCompanyid() {
        return companyid;
    }

    public void setCompanyid(String companyid) {
        this.companyid = companyid;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getFlagName() {
        return flagName;
    }

    public void setFlagName(String flagName) {
        this.flagName = flagName;
    }

    public String getPictypeid() {
        return pictypeid;
    }

    public void setPictypeid(String pictypeid) {
        this.pictypeid = pictypeid;
    }

    public String getPictypeName() {
        return pictypeName;
    }

    public void setPictypeName(String pictypeName) {
        this.pictypeName = pictypeName;
    }

    public List<UploadFileBean> getFiles() {
        return files;
    }

    public void setFiles(List<UploadFileBean> files) {
        this.files = files;
    }
}
